% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lpcde_fns.R
\name{cov_hat}
\alias{cov_hat}
\title{cov_hat: covariance estimator}
\usage{
cov_hat(x_data, y_data, x, y_grid, p, q, mu, nu, h, kernel_type, cov_flag)
}
\arguments{
\item{x_data}{Covariate dataset, vector or matrix.}

\item{y_data}{Response variable dataset, vector.}

\item{x}{Numeric vector or matrix, specifies the grid of evaluation points
along x-direction.}

\item{y_grid}{Numeric vector, specifies the grid of evaluation points along
y-direction.}

\item{p}{Polynomial order for y.}

\item{q}{Polynomial order for covariates.}

\item{mu}{Degree of derivative with respect to y.}

\item{nu}{Degree of derivative with respect to x.}

\item{h}{Numeric, bandwidth vector.}

\item{kernel_type}{Kernel function choice.}

\item{cov_flag}{Flag for covariance estimation option.}
}
\value{
Covariance matrix for all the grid points
}
\description{
Function for estimating the variance-covariance matrix.
}
\keyword{internal}
